.preloader-image {
  width: fit-content;
  height: fit-content;
  overflow: hidden;
  transition: 1s ease background;

  &__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1.1);
    transition: 1s ease transform, 1s ease opacity;
  }

  &_loading {
    background: var(--gray-4);
    animation: 5s ease-in infinite preloader-image-loading;

    @keyframes preloader-image-loading {
      0% {
        background: var(--gray-4);
      }
      50% {
        background: var(--gray-3);
      }
      100% {
        background: var(--gray-4);
      }
    }
  }

  &_loading &__image {
    opacity: 0;
  }

  &_loaded {
    background: rgba(0, 0, 0, 0);
    animation: none;
  }

  &_loaded &__image {
    opacity: 1;
    transform: scale(1);
  }

  &_error {
    background: red;
    animation: none;
  }

  &_error &__image {
    display: block;
    transform: scale(1);
    opacity: 0;
  }
}